Who viewed a session's replay, from the audit log's 90-day read window, most recent first.
GET
/rum/{app_id}/sessions/{session_id}/viewers
const url = 'https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/viewers';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/viewers \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” app_id
required
string format: uuid
RUM application identifier
session_id
required
string format: uuid
Session identifier
Responses
Section titled “ Responses ”The session’s replay viewers
Media type application/json
GET /rum/{app_id}/sessions/{session_id}/viewers.
object
viewers
required
Most recent first, over the audit log’s 90-day read window.
Array<object>
Who watched a session’s replay, from the audit log.
object
actor_type
required
session, api_key, m2m, connected_app, impersonated_staff or partner.
string
user_id
string | null format: uuid
email
string | null
api_key_id
string | null format: uuid
api_key_name
string | null
m2m_client_id
string | null
first_viewed_at
required
string format: date-time
last_viewed_at
required
string format: date-time
views
required
Recorded views, at most one per viewer per 30 minutes.
integer format: int64
Example generated
{ "viewers": [ { "actor_type": "example", "user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example", "api_key_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "api_key_name": "example", "m2m_client_id": "example", "first_viewed_at": "2026-04-15T12:00:00Z", "last_viewed_at": "2026-04-15T12:00:00Z", "views": 1 } ]}Missing or invalid authentication
Application not found
Internal server error